{
  pkgs,
  ...
}:
{
  imports = [
    ./hardware-config.nix
  ];

  boot.loader.systemd-boot.enable = true;

  nixpkgs.config.allowUnfree = true;

  nix.settings.experimental-features = [
    "nix-command"
    "flakes"
  ];

  kropcloud = {
    admin = {
      user = "krop";
      sshKeys = [
        "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIJl0Rdo2kHliBeIiPuiO4kYO5M0VZFNXw4siepV1p6Pj krop@wenar-nix"
        "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIOUnlAjPnMwJYgZb7YuholdTxifOEFnAyXVqI+xFlHw6 krop@lenar"
      ];
    };
    services = {
      ssh = {
        enable = true;
      };
    };
  };

  services.qemuGuest.enable = true;

  environment.systemPackages = [
    pkgs.nfs-utils
  ];

  system.stateVersion = "24.11";
}
